package com.ruoyi.project.training.elearn.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 题目题库关联对象 t_el_qu_repo
 *
 * @author ssy
 * @date 2024-05-28
 */
public class TElQuRepo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 题目id
 */

    private Long quId;

    /** 题库id */
    @Excel(name = "题库id")
    private Long repoId;

    /** 题目类型 */
    @Excel(name = "题目类型")
    private Long quType;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setQuId(Long quId)
    {
        this.quId = quId;
    }

    public Long getQuId()
    {
        return quId;
    }
    public void setRepoId(Long repoId)
    {
        this.repoId = repoId;
    }

    public Long getRepoId()
    {
        return repoId;
    }
    public void setQuType(Long quType)
    {
        this.quType = quType;
    }

    public Long getQuType()
    {
        return quType;
    }
    public void setSort(Long sort)
    {
        this.sort = sort;
    }

    public Long getSort()
    {
        return sort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("quId", getQuId())
            .append("repoId", getRepoId())
            .append("quType", getQuType())
            .append("sort", getSort())
            .toString();
    }
}
